Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl
Class WsdlRequest

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.CallConfig>
              com.eviware.soapui.impl.wsdl.WsdlRequest

All Implemented Interfaces:
  AttachmentContainer, Request, ModelItem, PropertyChangeNotifier

Direct Known Subclasses:
  WsdlTestRequest

    public class WsdlRequest

extends AbstractWsdlModelItem<com.eviware.soapui.config.CallConfig>
implements Request, AttachmentContainer

Request implementation holding a SOAP request

Author:
  Ole.Matzura

Nested Class Summary
`protected class` | `WsdlRequest.RequestIconAnimator`

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Nested classes/interfaces inherited from interface com.eviware.soapui.model.iface.Request
`Request.SubmitException`

Field Summary
`protected java.util.List<FileAttachment>` | `attachments`
`static java.lang.String` | `ATTACHMENTS_PROPERTY`
`static java.lang.String` | `BIND_ADDRESS`
`static java.lang.String` | `DISABLE_MULTIPART_ATTACHMENTS`
`static java.lang.String` | `ENCODE_ATTACHMENTS`
`static java.lang.String` | `EXPAND_MTOM_RESPONSE_ATTACHMENTS`
`static java.lang.String` | `FORCE_MTOM`
`static java.lang.String` | `INLINE_RESPONSE_ATTACHMENTS`
`static org.apache.log4j.Logger` | `log`
`static java.lang.String` | `OPERATION_PROPERTY`
`static java.lang.String` | `PW_TYPE_DIGEST`
`static java.lang.String` | `PW_TYPE_NONE`
`static java.lang.String` | `PW_TYPE_TEXT`
`static java.lang.String` | `REMOVE_EMPTY_CONTENT`
`static java.lang.String` | `REQUEST_HEADERS_PROPERTY`
`static java.lang.String` | `RESPONSE_CONTENT_PROPERTY`
`static java.lang.String` | `RESPONSE_PROPERTY`
`static java.lang.String` | `STRIP_WHITESPACES`
`static java.lang.String` | `WSS_TIMETOLIVE`

Fields inherited from interface com.eviware.soapui.model.iface.Request
`ENCODING_PROPERTY, ENDPOINT_PROPERTY, REQUEST_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlRequest(WsdlOperation operation, com.eviware.soapui.config.CallConfig callConfig)`
`WsdlRequest(WsdlOperation operation, com.eviware.soapui.config.CallConfig callConfig, boolean forLoadTest)`

Method Summary
`void` | `addAttachmentsChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addSubmitListener(SubmitListener listener)`
`Attachment` | `attachFile(java.io.File file, boolean cache)`
`void` | `copyAttachmentsTo(WsdlRequest newRequest)`
`void` | `copyTo(WsdlRequest newRequest, boolean copyAttachments, boolean copyHeaders)`
`Attachment` | `getAttachmentAt(int index)`
`int` | `getAttachmentCount()`
`WsdlAttachmentPart` | `getAttachmentPart(java.lang.String partName)`
`Attachment[]` | `getAttachments()`
`Attachment[]` | `getAttachmentsForPart(java.lang.String partName)`
`java.lang.String` | `getBindAddress()`
`long` | `getContentLength()`
`WsdlAttachmentPart[]` | `getDefinedAttachmentParts()`
`java.lang.String` | `getDomain()`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getEndpoint()`
`javax.swing.ImageIcon` | `getIcon()`
`ModelItemIconAnimator` | `getIconAnimator()`
`WsdlOperation` | `getOperation()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getRequestContent()`
`StringToStringMap` | `getRequestHeaders()`
`MessagePart[]` | `getRequestParts()`
`WsdlResponse` | `getResponse()`
`java.lang.String` | `getResponseContent()` Deprecated.
`MessagePart[]` | `getResponseParts()`
`java.lang.String` | `getUsername()`
`java.lang.String` | `getWssPasswordType()`
`java.lang.String` | `getWssTimeToLive()`
`protected void` | `initEndpoints()`
`protected WsdlRequest.RequestIconAnimator` | `initIconAnimator()`
`boolean` | `isEncodeAttachments()`
`boolean` | `isExpandMtomResponseAttachments()`
`boolean` | `isForceMtom()`
`boolean` | `isInlineResponseAttachments()`
`boolean` | `isMtomEnabled()`
`boolean` | `isMultipartEnabled()`
`boolean` | `isReadOnly()`
`boolean` | `isRemoveEmptyContent()`
`boolean` | `isStripWhitespaces()`
`void` | `onSave()`
`void` | `release()`
`void` | `removeAttachment(Attachment attachment)`
`void` | `removeAttachmentsChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removeSubmitListener(SubmitListener listener)`
`void` | `setBindAddress(java.lang.String bindAddress)`
`void` | `setDomain(java.lang.String domain)`
`void` | `setEncodeAttachments(boolean encodeAttachments)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setEndpoint(java.lang.String endpoint)`
`void` | `setExpandMtomResponseAttachments(boolean expandMtomResponseAttachments)`
`void` | `setForceMtom(boolean forceMtom)`
`void` | `setInlineResponseAttachments(boolean inlineResponseAttachments)`
`void` | `setMtomEnabled(boolean mtomEnabled)`
`void` | `setMultipartEnabled(boolean multipartEnabled)`
`void` | `setOperation(WsdlOperation wsdlOperation)`
`void` | `setPassword(java.lang.String password)`
`void` | `setRemoveEmptyContent(boolean removeEmptyContent)`
`void` | `setRequestContent(java.lang.String request)`
`void` | `setRequestHeaders(StringToStringMap map)`
`void` | `setResponse(WsdlResponse response, SubmitContext context)`
`void` | `setStripWhitespaces(boolean stripWhitespaces)`
`void` | `setUsername(java.lang.String username)`
`void` | `setWssPasswordType(java.lang.String wssPasswordType)`
`void` | `setWssTimeToLive(java.lang.String ttl)`
`WsdlSubmit` | `submit(SubmitContext submitContext, boolean async)`
`void` | `updateConfig(com.eviware.soapui.config.CallConfig request)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getName, getParent, getSettings, getWsdlModelItemByName, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### log

    public static final org.apache.log4j.Logger log

### RESPONSE_PROPERTY

    public static final java.lang.String RESPONSE_PROPERTY

### RESPONSE_CONTENT_PROPERTY

    public static final java.lang.String RESPONSE_CONTENT_PROPERTY

### ATTACHMENTS_PROPERTY

    public static final java.lang.String ATTACHMENTS_PROPERTY

### INLINE_RESPONSE_ATTACHMENTS

    public static final java.lang.String INLINE_RESPONSE_ATTACHMENTS

### EXPAND_MTOM_RESPONSE_ATTACHMENTS

    public static final java.lang.String EXPAND_MTOM_RESPONSE_ATTACHMENTS

### STRIP_WHITESPACES

    public static final java.lang.String STRIP_WHITESPACES

### FORCE_MTOM

    public static final java.lang.String FORCE_MTOM

### REMOVE_EMPTY_CONTENT

    public static final java.lang.String REMOVE_EMPTY_CONTENT

### REQUEST_HEADERS_PROPERTY

    public static final java.lang.String REQUEST_HEADERS_PROPERTY

### ENCODE_ATTACHMENTS

    public static final java.lang.String ENCODE_ATTACHMENTS

### DISABLE_MULTIPART_ATTACHMENTS

    public static final java.lang.String DISABLE_MULTIPART_ATTACHMENTS

### WSS_TIMETOLIVE

    public static final java.lang.String WSS_TIMETOLIVE

### BIND_ADDRESS

    public static final java.lang.String BIND_ADDRESS

### OPERATION_PROPERTY

    public static final java.lang.String OPERATION_PROPERTY

### PW_TYPE_NONE

    public static final java.lang.String PW_TYPE_NONE

See Also:
  Constant Field Values

### PW_TYPE_DIGEST

    public static final java.lang.String PW_TYPE_DIGEST

See Also:
  Constant Field Values

### PW_TYPE_TEXT

    public static final java.lang.String PW_TYPE_TEXT

See Also:
  Constant Field Values

### attachments

    protected java.util.List<FileAttachment> attachments

Constructor Detail

### WsdlRequest

    public WsdlRequest(WsdlOperation operation,
                       com.eviware.soapui.config.CallConfig callConfig)

### WsdlRequest

    public WsdlRequest(WsdlOperation operation,
                       com.eviware.soapui.config.CallConfig callConfig,
                       boolean forLoadTest)

Method Detail

### updateConfig

    public void updateConfig(com.eviware.soapui.config.CallConfig request)

### getIconAnimator

    public ModelItemIconAnimator getIconAnimator()

### initIconAnimator

    protected WsdlRequest.RequestIconAnimator initIconAnimator()

### initEndpoints

    protected void initEndpoints()

### getRequestContent

    public java.lang.String getRequestContent()

  Specified by:
    `getRequestContent` in interface `Request`

### setEndpoint

    public void setEndpoint(java.lang.String endpoint)

  Specified by:
    `setEndpoint` in interface `Request`

### getEndpoint

    public java.lang.String getEndpoint()

  Specified by:
    `getEndpoint` in interface `Request`

### getEncoding

    public java.lang.String getEncoding()

  Specified by:
    `getEncoding` in interface `Request`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Specified by:
    `setEncoding` in interface `Request`

### getRequestHeaders

    public StringToStringMap getRequestHeaders()

### setRequestHeaders

    public void setRequestHeaders(StringToStringMap map)

### isInlineResponseAttachments

    public boolean isInlineResponseAttachments()

### setInlineResponseAttachments

    public void setInlineResponseAttachments(boolean inlineResponseAttachments)

### isStripWhitespaces

    public boolean isStripWhitespaces()

### setStripWhitespaces

    public void setStripWhitespaces(boolean stripWhitespaces)

### isExpandMtomResponseAttachments

    public boolean isExpandMtomResponseAttachments()

### setExpandMtomResponseAttachments

    public void setExpandMtomResponseAttachments(boolean expandMtomResponseAttachments)

### getResponseContent

    public java.lang.String getResponseContent()

  Deprecated.

  Use getResponse().getContentAsString();

### getResponse

    public WsdlResponse getResponse()

### getOperation

    public WsdlOperation getOperation()

  Specified by:
    `getOperation` in interface `Request`

### setOperation

    public void setOperation(WsdlOperation wsdlOperation)

### setRequestContent

    public void setRequestContent(java.lang.String request)

### setResponse

    public void setResponse(WsdlResponse response,
                            SubmitContext context)

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `ModelItem`
  Overrides:
    `getIcon` in class `AbstractWsdlModelItem<com.eviware.soapui.config.CallConfig>`

### getUsername

    public java.lang.String getUsername()

### getPassword

    public java.lang.String getPassword()

### getDomain

    public java.lang.String getDomain()

### setUsername

    public void setUsername(java.lang.String username)

### setPassword

    public void setPassword(java.lang.String password)

### setDomain

    public void setDomain(java.lang.String domain)

### addSubmitListener

    public void addSubmitListener(SubmitListener listener)

  Specified by:
    `addSubmitListener` in interface `Request`

### removeSubmitListener

    public void removeSubmitListener(SubmitListener listener)

  Specified by:
    `removeSubmitListener` in interface `Request`

### submit

    public WsdlSubmit submit(SubmitContext submitContext,
                             boolean async)
                      throws Request.SubmitException

  Specified by:
    `submit` in interface `Request`
  Throws:
    `Request.SubmitException`

### getWssPasswordType

    public java.lang.String getWssPasswordType()

### setWssPasswordType

    public void setWssPasswordType(java.lang.String wssPasswordType)

### attachFile

    public Attachment attachFile(java.io.File file,
                                 boolean cache)

  Specified by:
    `attachFile` in interface `AttachmentContainer`

### getAttachmentCount

    public int getAttachmentCount()

  Specified by:
    `getAttachmentCount` in interface `AttachmentContainer`

### getAttachmentAt

    public Attachment getAttachmentAt(int index)

  Specified by:
    `getAttachmentAt` in interface `AttachmentContainer`

### getAttachmentsForPart

    public Attachment[] getAttachmentsForPart(java.lang.String partName)

  Specified by:
    `getAttachmentsForPart` in interface `AttachmentContainer`

### removeAttachment

    public void removeAttachment(Attachment attachment)

  Specified by:
    `removeAttachment` in interface `AttachmentContainer`

### getAttachments

    public Attachment[] getAttachments()

  Specified by:
    `getAttachments` in interface `AttachmentContainer`
  Specified by:
    `getAttachments` in interface `Request`

### getDefinedAttachmentParts

    public WsdlAttachmentPart[] getDefinedAttachmentParts()

  Specified by:
    `getDefinedAttachmentParts` in interface `AttachmentContainer`

### getAttachmentPart

    public WsdlAttachmentPart getAttachmentPart(java.lang.String partName)

  Specified by:
    `getAttachmentPart` in interface `AttachmentContainer`

### copyAttachmentsTo

    public void copyAttachmentsTo(WsdlRequest newRequest)

### copyTo

    public void copyTo(WsdlRequest newRequest,
                       boolean copyAttachments,
                       boolean copyHeaders)

### isMtomEnabled

    public boolean isMtomEnabled()

  Specified by:
    `isMtomEnabled` in interface `AttachmentContainer`

### setMtomEnabled

    public void setMtomEnabled(boolean mtomEnabled)

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.CallConfig>`

### getRequestParts

    public MessagePart[] getRequestParts()

  Specified by:
    `getRequestParts` in interface `Request`

### getResponseParts

    public MessagePart[] getResponseParts()

  Specified by:
    `getResponseParts` in interface `Request`

### isMultipartEnabled

    public boolean isMultipartEnabled()

  Specified by:
    `isMultipartEnabled` in interface `AttachmentContainer`

### setMultipartEnabled

    public void setMultipartEnabled(boolean multipartEnabled)

### getWssTimeToLive

    public java.lang.String getWssTimeToLive()

### setWssTimeToLive

    public void setWssTimeToLive(java.lang.String ttl)

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.CallConfig>`

### getContentLength

    public long getContentLength()

### isRemoveEmptyContent

    public boolean isRemoveEmptyContent()

### setRemoveEmptyContent

    public void setRemoveEmptyContent(boolean removeEmptyContent)

### isForceMtom

    public boolean isForceMtom()

### setForceMtom

    public void setForceMtom(boolean forceMtom)

### isEncodeAttachments

    public boolean isEncodeAttachments()

### setEncodeAttachments

    public void setEncodeAttachments(boolean encodeAttachments)

### getBindAddress

    public java.lang.String getBindAddress()

### setBindAddress

    public void setBindAddress(java.lang.String bindAddress)

### addAttachmentsChangeListener

    public void addAttachmentsChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addAttachmentsChangeListener` in interface `AttachmentContainer`

### isReadOnly

    public boolean isReadOnly()

  Specified by:
    `isReadOnly` in interface `AttachmentContainer`

### removeAttachmentsChangeListener

    public void removeAttachmentsChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removeAttachmentsChangeListener` in interface `AttachmentContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.